package com.adealink.weparty.wallet

import androidx.lifecycle.ViewModelProvider
import androidx.lifecycle.ViewModelStoreOwner
import com.adealink.frame.spi.RegisterService
import com.adealink.weparty.module.wallet.IWalletService
import com.adealink.weparty.module.wallet.viewmodel.IWalletViewModel
import com.adealink.weparty.wallet.viewmodel.WalletViewModel
import com.adealink.weparty.wallet.viewmodel.WalletViewModelFactory

@RegisterService(IWalletService::class)
class WalletServiceImpl : IWalletService {

    override fun logout() {
    }


    override fun getService(): IWalletService {
        return this
    }

    override fun getWalletViewModel(owner: ViewModelStoreOwner): IWalletViewModel {
        return ViewModelProvider(owner, WalletViewModelFactory())[WalletViewModel::class.java]
    }

}